=== debian/changelog ===
fcitx-libpinyin (0.1.1-2) unstable; urgency=low

  * compatible with 0.6.91

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 26 May 2012 16:48:38 +0800

fcitx-libpinyin (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #658145)

 -- Aron Xu <aron@debian.org>  Thu, 03 May 2012 18:23:02 +0000
