=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libpinyin0-dev (>= 0.6.91),
 libpinyin-utils, intltool, pkg-config, libglib2.0-dev
Standards-Version: 3.9.3
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-libpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-libpinyin.git

Package: fcitx-libpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
