=== debian/changelog ===
fcitx-libpinyin (0.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump standard version to 3.9.4.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 17:47:19 +0800

fcitx-libpinyin (0.2.1-1) experimental; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 28 Sep 2012 15:52:07 +0800

fcitx-libpinyin (0.2.0-1) experimental; urgency=low

  [ YunQiang Su ]
  * debian/watch: watch _dict.tar.gz
  * New upstream version 0.2.0

  [ Aron Xu ]
  * Use dh compat 9, update build dependencies.

 -- Aron Xu <aron@debian.org>  Sat, 04 Aug 2012 23:13:35 +0800
