=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libpinyin0-dev (>= 0.6.91),
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.5), libpinyin2-dev (>= 0.7.0),
  libpinyin-utils, intltool, pkg-config, libglib2.0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-libpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-libpinyin.git
