=== debian/changelog ===
fcitx-libpinyin (0.2.92-1) unstable; urgency=low

  * Imported Upstream version 0.2.92
  * Remove DMUA stantz
  * Bump build with libpinyin4
  * Add fcitx-bin to build-dep

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 30 Sep 2013 20:20:26 +0800
