=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.5), libpinyin2-dev (>= 0.7.0),
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.7), fcitx-bin (>= 4.2.7), libpinyin4-dev (>= 0.9.93),
  libpinyin-utils, intltool, pkg-config, libglib2.0-dev
 Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx
