=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
-install(FILES bopomofo.png RENAME fcitx-bopomofo.png
-  DESTINATION share/icons/hicolor/48x48/status/)
-
+foreach(icon pinyin-libpinyin shuangpin-libpinyin bopomofo)
+    install(FILES ${icon}.png RENAME fcitx-${icon}.png
+            DESTINATION share/icons/hicolor/48x48/status/)
+    install(FILES ${icon}.png
+            DESTINATION share/fcitx/imicon)
+endforeach()
 set(_LIBPINYIN_TABLE art gb_char history nature scitech
                      culture gbk_char life society economy geology merged
                      sport)
@@ -12,7 +15,7 @@
 endforeach()
 
 set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
-set(ZHUYIN_URL "http://fcitx.googlecode.com/files/${ZHUYIN_DATA_FILE_NAME}")
+set(ZHUYIN_URL "http://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin  pinyin_index.bin)
