=== debian/changelog ===
fcitx-libpinyin (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 03:35:08 +0800
