=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-bin (>= 4.2.7),
               fcitx-libs-dev (>= 4.2.7),
               intltool,
               libdbus-1-dev,
               libglib2.0-dev,
               libpinyin-utils,
               libpinyin4-dev (>= 0.9.93),
               libqt4-dev,
               libqtwebkit-dev,
               pkg-config
Standards-Version: 3.9.5
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-libpinyin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-libpinyin.git

Package: fcitx-libpinyin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
