=== dictmanager/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
 ${FCITX_QT_LIBRARIES}
 ${FCITX4_FCITX_UTILS_LIBRARIES}
 ${FCITX4_FCITX_CONFIG_LIBRARIES}
+${LIBINTL_LIBRARIES}
 )
 
 install(TARGETS fcitx-libpinyin-dictmanager DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)
