=== debian/changelog ===
fcitx-libpinyin (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2015 20:05:15 +0800

fcitx-libpinyin (0.3.3-1) experimental; urgency=medium

  * Imported Upstream version 0.3.3
  * Update B-D, update std-ver

 -- Aron Xu <aron@debian.org>  Fri, 30 Oct 2015 17:54:46 +0800
