=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                libdbus-1-dev,
                libglib2.0-dev,
                libpinyin-utils,
-               libpinyin4-dev (>= 0.9.93),
+               libpinyin7-dev,
                libqt4-dev,
                libqtwebkit-dev,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-libpinyin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-libpinyin.git
