=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 %:
 	dh $@ 
 override_dh_makeshlibs:
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
