=== debian/changelog ===
fcitx-libpinyin (0.5.3-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Boyuan Yang ]
  * debian: Apply "wrap-and-sort -abst".
  * debian: Bump debhelper compat to v11.
  * debian/control:
    + Revert maintainer name to Debian Input Method Team.
    + Update Vcs-* fields and use git repo under input-method-team.
    + Mark fcitx-libpinyin as Multi-Arch: same.
  * debian/rules: Modernize rules file and use dh_missing --fail-missing.
  * debian/copyright: Update source url with gitlab.com repository.
  * debian/watch: Update url to monitor gitlab.com upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Oct 2018 21:03:06 -0400

fcitx-libpinyin (0.5.3-2) unstable; urgency=medium

  * Disable QT on platform without qtwebengine support.

 -- YunQiang Su <syq@debian.org>  Wed, 09 May 2018 21:22:41 +0800

fcitx-libpinyin (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Update Maintainer mail to debian-input-method@lists.debian.org.
  * Add ChangZhuo Chen (陳昌倬) as Uploaders.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Feb 2018 10:12:30 +0800

fcitx-libpinyin (0.5.2-1~exp1) experimental; urgency=medium

  * Team upload
  * Import Upstream version 0.5.2
  * Update outdated url
  * d/control:
    + Update Build-Depends
      Drop libqtwebkit-dev, add qtwebengine5-dev (Closes: #784462)
      Bump to libpinyin13-dev
    + Update Standards-Version to 4.1.0

 -- Shengjing Zhu <i@zhsj.me>  Mon, 11 Sep 2017 22:22:25 +0800
