=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin (>= 4.2.8),
 fcitx-libs-dev (>= 4.2.8),
 intltool,
 libdbus-1-dev,
 libfcitx-qt5-dev [amd64 arm64 armhf i386 mipsel],
 libglib2.0-dev,
 libpinyin13-dev,
 pkg-config,
 qtbase5-dev [amd64 arm64 armhf i386 mipsel],
 qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
Build-Conflicts:
 libpinyin-utils,
Standards-Version: 4.2.1
Homepage: https://github.com/fcitx/fcitx-libpinyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-libpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-libpinyin

Package: fcitx-libpinyin
Architecture: any
Multi-Arch: same
Depends:
 libpinyin-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
