=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/fcitx-libpinyin.*\.tar\.gz/fcitx-libpinyin-$1\.tar\.gz/g \
  https://gitlab.com/fcitx/fcitx-libpinyin/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.* \
  debian uupdate
