## fcitx-libpinyin 0.5.4

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
                 pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf.in ${CMAKE_CURRENT_BINARY_DIR}/table.conf @ONLY)
 
 fcitx_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}"
   MD5SUM f657ea2e9091e35021037ef4ce796e1d)
@@ -47,7 +47,7 @@
               ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/addon_phrase_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/addon_pinyin_index.bin
-              table.conf
+              ${CMAKE_CURRENT_BINARY_DIR}/table.conf
         DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})
 
 endif()
