=== dictmanager/CMakeLists.txt ===
--- 
+++ 
@@ -26,14 +26,10 @@
 
 include_directories (
     ${PROJECT_BINARY_DIR}
-    ${LIBPINYIN_INCLUDE_DIR}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${LIBINTL_INCLUDE_DIR}
-    ${GLIB2_INCLUDE_DIR}
-    ${DBUS_INCLUDE_DIR}
-    ${DBUS_ARCH_INCLUDE_DIR}
     )
 
 link_directories(
@@ -41,11 +37,9 @@
 ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
 )
 
-qt5_wrap_ui(DICT_MANAGER_SRCS dictmanager.ui browserdialog.ui)
-
 add_library(fcitx-libpinyin-dictmanager MODULE ${DICT_MANAGER_SRCS})
 set_target_properties(fcitx-libpinyin-dictmanager PROPERTIES
-                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE)
+                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE AUTOUIC TRUE)
 
 target_link_libraries(fcitx-libpinyin-dictmanager
 Qt5::Core Qt5::Gui Qt5::DBus Qt5::Network Qt5::WebEngineWidgets FcitxQt5::WidgetsAddons FcitxQt5::DBusAddons
