=== debian/changelog ===
fcitx-libpinyin (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/upstream/signing-key.asc: Add upstream key.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Jan 2021 13:24:30 -0500

fcitx-libpinyin (0.5.3-4) unstable; urgency=medium

  * Team upload.
  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compat to v13.
  * debian/watch: Monitor download.fcitx-im.org release.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Jan 2021 11:33:31 -0500
