=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  YunQiang Su <syq@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- cmake,
- debhelper (>= 11),
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
  fcitx-bin (>= 4.2.8),
  fcitx-libs-dev (>= 4.2.8),
  intltool,
@@ -19,9 +19,8 @@
  pkg-config,
  qtbase5-dev [amd64 arm64 armhf i386 mipsel],
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Build-Conflicts:
  libpinyin-utils,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/fcitx/fcitx-libpinyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-libpinyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-libpinyin
