=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk

$(info $(DEB_HOST_ARCH))

%:
	dh $@

override_dh_makeshlibs:

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386 mipsel))
override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_QT=off
endif
