=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx-libpinyin/ \
 fcitx-libpinyin-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
